Get card fees
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"physicalCardFee": 1000,
"currency": "USDC",
"availableUsdc": 153,
"walletUsdc": 153,
"availableCardUsdc": 153,
"canPay": true
}Cards
Get card fees
Returns the current once-off physical card fee in USDC cents. If physicalCardFee is greater than zero, include acceptCharge: true when issuing a physical card (and ensure treasury USDC covers the fee).
GET
/
api
/
v1
/
cards
/
fees
Get card fees
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"physicalCardFee": 1000,
"currency": "USDC",
"availableUsdc": 153,
"walletUsdc": 153,
"availableCardUsdc": 153,
"canPay": true
}Authorizations
Bearer JWT issued to your business account during onboarding
Response
200 - application/json
Once-off physical card fee in USDC cents (e.g. 1000 = 10.00 USDC). 0 means no fee.
Example:
1000
Fee currency
Example:
"USDC"
Combined USDC available (treasury + programme).
Example:
153
Treasury USDC available (major units).
Example:
153
Card programme USDC available (major units).
Example:
153
Whether the tenant can pay the current fee.
Example:
true